# $Revision: 1.74 $, $Date: 2006/09/08 18:03:19 $
Summary:	Network monitoring tool
Summary(pl):	Narzdzie do monitorowania sieci
Name:		ntop
Version:	3.2
Release:	2
License:	GPL
Group:		Networking
Source0:	http://dl.sourceforge.net/ntop/%{name}-%{version}.tgz
# Source0-md5:	cd29a876b34a7dd76555e9acd8f160bb
Source1:	%{name}.init
Source2:	%{name}.sysconfig
Patch0:		%{name}-plugins_makefile.patch
Patch1:		%{name}-conf.patch
Patch2:		%{name}-nolibs.patch
Patch3:		%{name}-config.patch
Patch4:		%{name}-am.patch
URL:		http://www.ntop.org/
BuildRequires:	autoconf
BuildRequires:	automake >= 1.6
BuildRequires:	gawk
BuildRequires:	gd-devel >= 2.0.1
BuildRequires:	gdbm-devel >= 1.8.3
BuildRequires:	gdome2-devel
BuildRequires:	glib2-devel
BuildRequires:	libpcap-devel
BuildRequires:	libpng-devel
BuildRequires:	libtiff-devel
BuildRequires:	libtool
BuildRequires:	libwrap-devel
BuildRequires:	ncurses-devel >= 5.2
BuildRequires:	openssl-devel >= 0.9.7d
BuildRequires:	readline-devel >= 4.2
BuildRequires:	rpmbuild(macros) >= 1.202
BuildRequires:	rpmbuild(macros) >= 1.268
BuildRequires:	rrdtool-devel >= 1.1.0
BuildRequires:	zlib-devel
Requires(post,postun):	/sbin/ldconfig
Requires(post,preun):	/sbin/chkconfig
Requires(postun):	/usr/sbin/groupdel
Requires(postun):	/usr/sbin/userdel
Requires(pre):	/bin/id
Requires(pre):	/usr/bin/getgid
Requires(pre):	/usr/sbin/groupadd
Requires(pre):	/usr/sbin/useradd
Requires:	rc-scripts
Provides:	group(ntop)
Provides:	user(ntop)
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_localstatedir		/var/lib

%description
ntop is a tool that shows the network usage, similar to what the
popular top Unix command does.

%description -l pl
ntop to narzdzie, ktre pokazuje uycie sieci w podobny sposb jak
robi to popularna uniksowa komenda top.

%prep
%setup -q
%patch0 -p1
%patch1 -p1
%patch2 -p1
%patch3 -p1
%patch4 -p1

# kill libtool.m4 copy
cp -f acinclude.m4.ntop acinclude.m4

%build
%{__libtoolize}
%{__aclocal}
%{__autoconf}
%{__automake}
# "verified.awk -u" calls require gawk
%configure \
	AWK=gawk \
	--disable-static \
	--enable-i18n \
	--with-gnu-ld \
	--with-ossl-root=%{_prefix} \
	--with-tcpwrap

%{__make}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_localstatedir}/ntop/rrd,/etc/{rc.d/init.d,sysconfig},%{_sbindir}}

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

install %{SOURCE1} $RPM_BUILD_ROOT/etc/rc.d/init.d/ntop
install %{SOURCE2} $RPM_BUILD_ROOT/etc/sysconfig/ntop
install packages/RedHat/ntop.conf.sample $RPM_BUILD_ROOT%{_sysconfdir}/ntop.conf

# no -devel
rm -f $RPM_BUILD_ROOT%{_libdir}{,/ntop/plugins}/*.la

%clean
rm -rf $RPM_BUILD_ROOT

%pre
%groupadd -g 120 ntop
%useradd -u 120 -d %{_localstatedir}/ntop -s /bin/false -c "ntop User" -g ntop ntop

%post
/sbin/ldconfig
/sbin/chkconfig --add ntop
%service ntop restart "ntop daemon"

%preun
if [ "$1" = "0" ]; then
	%service ntop stop
	/sbin/chkconfig --del ntop
fi

%postun
/sbin/ldconfig
if [ "$1" = "0" ]; then
	%userremove ntop
	%groupremove ntop
fi

%files
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog NEWS README THANKS docs/{1STRUN.txt,FAQ}
%attr(770,root,ntop) %dir %{_localstatedir}/ntop
%attr(770,root,ntop) %dir %{_localstatedir}/ntop/rrd
%attr(755,root,root) %{_sbindir}/*
%attr(755,root,root) %{_libdir}/lib*.so
%attr(755,root,root) %{_datadir}/%{name}
%dir %{_libdir}/%{name}
%attr(755,root,root) %{_libdir}/%{name}/plugins
%{_mandir}/man*/*
%attr(754,root,root) /etc/rc.d/init.d/ntop
%attr(640,root,root) %config(noreplace) %verify(not md5 mtime size) /etc/sysconfig/ntop
%attr(750,root,ntop) %dir %{_sysconfdir}/ntop
%attr(640,root,ntop) %config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/ntop/*
%attr(660,root,ntop) %config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/ntop.conf

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: ntop.spec,v $
Revision 1.74  2006/09/08 18:03:19  glen
- rel 2 (rebuild with fixed %useradd/%groupadd macros)

Revision 1.73  2006/04/14 15:23:40  glen
- rel 1

Revision 1.72  2006/03/06 18:16:42  glen
- use %service, adapterized, cosmetics

Revision 1.71  2006/01/03 11:55:03  glen
- fix desynchronized _localstatedir between spec and configure

Revision 1.70  2006/01/02 14:14:47  glen
- merged few changes from dead DEVEL 1.51.2.2 branch

Revision 1.69  2006/01/02 13:47:03  glen
- enable xmldump deps. fixed am

Revision 1.68  2006/01/02 01:02:38  glen
- updated to 3.2

Revision 1.67  2005/05/19 10:13:09  qboosh
- added nolibs patch, some spec cleanups

Revision 1.66  2005/05/19 08:41:34  qboosh
- renumbered patches, cosmetics

Revision 1.65  2005/05/01 17:31:30  glen
- use %useradd/%groupadd macros

Revision 1.64  2005/03/27 19:13:30  glen
- add more TODO

Revision 1.63  2005/01/02 22:02:50  glen
- added more TODO

Revision 1.62  2005/01/02 21:48:56  glen
- fix build (add DESTDIR patch)

Revision 1.61  2005/01/02 21:24:01  paszczus
- updated to 3.1
- updated Patch1: ntop-plugins_makefile.patch
- added TODO ; release 0.1

Revision 1.60  2004/10/24 12:58:42  ankry
- pl fix

Revision 1.59  2004/10/24 12:19:09  paladine
- spelling fix

Revision 1.58  2004/10/13 23:21:19  ankry
- %userremove/%groupremove support, standardized

Revision 1.57  2004/09/14 06:38:32  jajcus
- /etc/ntop directory permissions fixed
- plugins installed into the right directory

Revision 1.56  2004/09/13 13:47:08  jajcus
- Release: 1 (seems usable)
- outdated (and not applied anyway) patches removed
- plugin Makefile.am fixed
- %dir %{_var}/lib/%{name} permissions fixed
- /etc/ntop directory included
- outdated ntop.conf file from %{SOURCE3} replaced with patched file
  from packages/RedHat/ntop.conf.sample

Revision 1.55  2004/08/08 15:49:10  ankry
- spaces -> tabs

Revision 1.54  2004/07/01 22:54:56  luzik
- updated to 3.0

Revision 1.53  2004/05/13 19:17:50  ankry
- cosmetics

Revision 1.52  2004/03/19 23:46:31  ankry
- massive change: BR openssl-devel >= 0.9.7d

Revision 1.51  2003/12/11 14:52:26  qboosh
- missing dir

Revision 1.50  2003/12/11 13:49:46  qboosh
- killed unused snap macro

Revision 1.49  2003/11/05 13:48:45  qboosh
- browsable Source0 URL

Revision 1.48  2003/10/26 08:25:26  pbern
- add noreplace ntop.conf

Revision 1.47  2003/10/26 07:15:37  pbern
- fix docs
- enable Internationalization (i18n)

Revision 1.46  2003/10/25 21:41:29  qboosh
- added pre/post* deps, restart in post, unified init/sysconfig perms

Revision 1.45  2003/10/25 20:30:39  pbern
- add sample config
- add some docs
- plese fix plugins.

Revision 1.44  2003/10/25 20:04:02  pbern
- add GID / UID == 120

Revision 1.43  2003/10/01 07:28:49  djrzulf
- release 0.2: added PLD like rc-scripts, need cleanups (i think) :),

Revision 1.42  2003/09/30 20:18:27  eothane
- ahh, what the hell: openssl 0.9.7c

Revision 1.41  2003/08/18 08:08:22  gotar
- mass commit: cosmetics (removed trailing white spaces)

Revision 1.40  2003/05/28 13:00:00  malekith
- massive attack: source-md5

Revision 1.39  2003/05/25 05:51:14  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.38  2003/04/15 10:09:49  misi3k
- updated to 2.2

Revision 1.37  2003/03/27 10:38:55  wiget
- rebuild with new gdbm

Revision 1.36  2003/03/15 21:04:00  migo
- BR: libtiff-devel

Revision 1.35  2003/02/28 10:08:03  trojan
- massive attack: perl -pi -e "s/^#+\%\{/#\%\%\{/"

Revision 1.34  2003/02/14 14:44:18  wiget
- RMON module is obsolete, don't build it

Revision 1.33  2003/02/14 14:18:04  wiget
- updated to 03-02-13 snapshost

Revision 1.32  2003/02/13 14:03:35  juandon
- force to use openssl >= 0.9.7, idea by kloczek

Revision 1.31  2002/11/26 10:57:10  ankry
- 2nd .la file attributes massive attack

Revision 1.30  2002/10/10 13:51:01  qboosh
- some ac/am fixes - now doesn't require libpcap-static or openssl-static

Revision 1.29  2002/10/09 13:14:41  kloczek
- use more macros, some cosmetics, added missing "rm -f missing" and use new %doc

Revision 1.28  2002/10/04 20:24:44  pbern
- Add icons
- repair broken links

Revision 1.27  2002/10/03 21:22:59  pbern
- Add require lib

Revision 1.26  2002/10/03 21:07:47  pbern
- enable plugins
- some fix

Revision 1.25  2002/10/03 20:58:05  pbern
- update last snapshot (021003)
- disable plugins

Revision 1.24  2002/10/03 20:54:21  pbern
-  some fix

Revision 1.23  2002/10/03 10:35:11  qboosh
- fixed typo in typo fix, changed localstatedir to FHS-compliant

Revision 1.22  2002/10/03 10:04:35  ankry
- typo(s)

Revision 1.21  2002/08/22 02:53:10  kloczek
- use new %doc and some minor changes.

Revision 1.20  2002/06/23 20:32:32  kloczek
- perl -pi -e "s/^libtoolize --copy --force/\%\{__libtoolize\}/"

Revision 1.19  2002/05/21 23:14:15  kloczek
- perl -pi -e "s/^automake -a -c -f --foreing/\%\{__automake\}/; \
             s/^automake -a -c -f/\%\{__automake\}/; \
  	     s/^autoconf/\%\{__autoconf\}/"

Revision 1.18  2002/04/16 19:53:36  djrzulf
- plugins don't compile,

Revision 1.17  2002/03/26 10:16:27  djrzulf
- some corrections,

Revision 1.16  2002/03/25 23:52:13  djrzulf
- screwed, don't work, test release, saved work, etc ... :>

Revision 1.15  2002/02/23 04:05:43  kloczek
- adapterized.

Revision 1.14  2002/02/22 23:29:20  kloczek
- removed all Group fields translations (our rpm now can handle translating
  Group field using gettext).

Revision 1.13  2002/02/02 23:53:33  ankry
- adding es/pt_BR Group translations

Revision 1.12  2002/01/18 02:14:05  kloczek
- perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.11  2001/10/26 21:53:27  misiek
- needs more hacks to avoid am problems

Revision 1.10  2001/07/18 08:26:34  kloczek
- typo.

Revision 1.9  2001/07/17 23:24:06  kloczek
- release 3.<snap>: rebuild against gd 2.0.1.

Revision 1.8  2001/05/11 20:24:17  kloczek
- add simpler workaround on buggy acinclude.m4 (mv acinclude.m4.in acinclude.m4).

Revision 1.7  2001/05/11 20:10:04  misiek
- fix libtool support

Revision 1.6  2001/05/09 02:09:57  kloczek
- relase 2<snap>: rebuild against openssl 0.9.6a.

Revision 1.5  2001/04/13 03:32:54  kloczek
- release 2.snap*: rebuild against readline 4.2.

Revision 1.4  2001/03/26 19:54:51  misiek
- new snapshot

Revision 1.3  2000/10/29 11:51:41  misiek
- added localstatedir definition and adapterized

Revision 1.2  2000/10/29 11:39:34  misiek
- updated, compile fine (still weak security)

Revision 1.1  2000/10/26 16:58:53  misiek
- started working on this (exploitable) package
